System.ServiceModel 4.0.0.0 System.Collections.Generic.SynchronizedCollection<System.ServiceModel.Dispatcher.ChannelDispatcherBase> System.ServiceModel.Dispatcher.ChannelDispatcherBase

This collection is used by to manage the channel dispatchers associated with the host. A is created when is called and the collection can be accessed using the property.

The collection contains objects (and not just instances of ) because it is also used by developers who want to keep the indigo1 programming model but replace the system-provided runtime. They derive a class from and extend (which inherits from ) by overriding , adding instances of the class derived from to .

This class has no public constructors and is not intended to be used outside of the .

Provides a thread-safe collection that contains channel dispatchers.

- Method
  4.0.0.0
  System.Void To be added.

  Removes all channel dispatchers from the collection.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts a channel dispatcher into the collection at a specified index.

  The zero-based index of the channel dispatcher to be retrieved from the collection. The channel dispatcher to be inserted into the collection as an element.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes a channel dispatcher at a specified index from the collection.

  The zero-based index of the channel dispatcher to be removed from the collection.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces the channel dispatcher at a specified index with another item.

  The zero-based index of the channel dispatcher to be replaced. The channel dispatcher to replace